%define name iwlwifi-6000-ucode
%define version 9.221.4.1
%define release %mkrel 1

Summary: Intel PRO/Wireless 6000AGN microcode
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-6000-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 6000AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Thu Dec 30 2010 Thomas Backlund <tmb@mandriva.org> 9.221.4.1-1mdv2011.0
+ Revision: 626457
- update to 9.221.4.1

* Wed Feb 24 2010 Thomas Backlund <tmb@mandriva.org> 9.193.4.1-1mdv2010.1
+ Revision: 510554
- update to ucode version 9.193.4.1

* Sun Oct 25 2009 Thomas Backlund <tmb@mandriva.org> 9.176.4.1-1mdv2010.0
+ Revision: 459190
- initial release, iwlwifi 6000 ucode v. 9.176.4.1
- Created package structure for iwlwifi-6000-ucode.

